Bug 1006207 - Caught undefined local variable or method `alias_name' error when adding alias with "oo-devel-node "
Caught undefined local variable or method `alias_name' error when adding ali...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 04:46 EDT by lmeng
Modified: 2015-05-14 19:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:50:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lmeng 2013-09-10 04:46:26 EDT
Description of problem:
Caught undefined local variable or method `alias_name' for main:Object, when adding alias with "oo-devel-node "

Version-Release number of selected component (if applicable):
devenv_3762

How reproducible:
always 

Steps to Reproduce:
1.Create an app 
rhc app create php4 php-5.3 
2.login node add alias with oo-devel-node
 oo-devel-node add-alias --with-container-uuid 522ecb6927fb118ead00001a --with-alias-name php4444

Actual results:
[root@ip-10-145-225-182 cartridges]# oo-devel-node add-alias --with-container-uuid 522ecb6927fb118ead00001a --with-alias-name php4444
undefined local variable or method `alias_name' for main:Object


Expected results:
Should be successful.

Additional info:
Comment 1 openshift-github-bot 2013-09-10 09:28:23 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/886fe1c6f7e085f139d59a8ea9df93401f2bb7ec
Bug 1006207 - Fixed typo in add/remove alias (oo-devel-node)
Comment 2 Qiushui Zhang 2013-09-12 04:54:41 EDT
Tested on devenv_3776.

[root@ip-10-147-175-80 cartridges]# oo-devel-node add-alias --with-container-uuid 5231740609065c1c7100008d --with-alias-name zd.bar.com
[root@ip-10-147-175-80 cartridges]#

[root@ip-10-147-175-80 cartridges]# oo-devel-node aliases --with-container-uuid 5231740609065c1c7100008d
zd.bar.com

Mark it as verified.

Note You need to log in before you can comment on or make changes to this bug.